Subject: Re: [bug#51314] [PATCH v4 14/14] gnu: Add octoprint.

From: Maxime Devos <[email-masked]>
Date: Mon, 30 May 2022 23:09:20 +0200

Vinicius Monego schreef op ma 30-05-2022 om 20:46 [+0000]:
> Em dom, 2022-05-29 às 23:58 +0200, Maxime Devos escreveu:
> > Vinicius Monego schreef op zo 29-05-2022 om 18:27 [+0000]:
> > > +    (license license:agpl3)))
> > 
> > Does upstream intend agpl3-only, or agpl3-or-later?  Could we have
> > some
> > clarification from upstream?  Preferably the latter if there will
> > ever
> > be a agpl4.
> > 
> > Greetings,
> > Maxime
> 
> It is agpl3-only. License in the file headers:
> 
> __copyright__ = "Copyright (C) [year] The OctoPrint Project - Released
> under terms of the AGPLv3 License"
> 
> And in setup.py:
> 
> "License :: OSI Approved :: GNU Affero General Public License v3"

It just says AGPLv3, it doesn't say -only or -or-later (*).
I've seen these, but they are not explicit about -only or -or-later,
Sometimes, when asked for clarifications, upstreams clarifies such
ambigious phrasing to be -or-later, sometimes -only.  In this case, I'd
expect -only.  But I think it's best to just ask upstream.

(*) the convention for setup.py seems to be ‘not mentioned -> -only’, 
but hypothetical '-only' information could also easily have been lost
during writing the setup.py or an over-eager ‘abbreviating’ the
copyright/license headers.

Greetings,
Maxime.